; ***** BEGIN LICENSE BLOCK *****
; * Copyright (C) 2007  Alexey Gladkov <legion@altlinux.org>
; *
; * This program is free software; you can redistribute it and/or modify
; * it under the terms of the GNU General Public License as published by
; * the Free Software Foundation; either version 2 of the License, or
; * (at your option) any later version.
; *
; * This program is distributed in the hope that it will be useful,
; * but WITHOUT ANY WARRANTY; without even the implied warranty of
; * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; * GNU General Public License for more details.
; *
; * You should have received a copy of the GNU General Public License
; * along with this program; if not, write to the Free Software
; * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
; ***** END LICENSE BLOCK *****

(document:surround "/std/frame")

(document:insert "/std/functions")
(document:envelop with-translation _ "alterator-license")

margin 10
spacing 10

(label (_ "Please take a moment to read the license agreement now.") text-wrap #t)
(document:id license (textbox "<b>/usr/share/alt-license</b>" alterability #f))

(and (global 'frame:next)
     (document:id agree
                  (checkbox (_ "Yes, I agree")
                            align 'center
                            (when toggled (frame:next-activity (agree state))))))

(document:root
 (when loaded
   (and (global 'frame:next) (frame:next-activity #f))
   (woo-catch/message (thunk
                       (license text (woo-get-option (woo-read-first '/license) 'license))))))
